Mesh da forma

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Mesh FromPartShape and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Mesh ExportMesh.png Esporta mesh Pagina precedente:
Pagina successiva: Grafico della curvatura Mesh CurvaturePlot.png Arrow-right.svg

Mesh MeshFromShape.png Mesh da forma‏‎

Posizione nel menu
Mesh → Crea Mesh da una forma...
Ambiente
Mesh
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche


Introduzione

Questo comando crea un oggetto mesh da un oggetto forma

Uso

Ci sono due metodi:

  1. Selezionare l'oggetto forma, e poi scegliere MeshMesh Mesh from Shape.svg Crea mesh da forma... dal menu principale.
  2. Oppure selezionare subito MeshMesh Mesh from Shape.svg Crea mesh da forma... per aprire un menu aggiuntivo con cui scegliere la forma da rendere mesh.

In entrambi i casi viene visualizzato un menu per stabilire quale programma mesher si vuole utilizzare e le relative impostazioni.
Le impostazioni effettuate vengono memorizzate e utilizzate come predefinite per la successiva creazione di una mesh da una forma. Disponibile dalla versione 0.19.

Programmi mesher

Si può scegliere uno di questi 3 programmi mesher:

Mesher standard

Mesh Mesher Standard.jpg

È possibile modificare queste impostazioni:

  • Deviazione di superficie: Massima deflessione lineare di una sezione di mesh dalla superficie dell'oggetto
  • Deviazione angolare: Massima deflessione angolare di una sezione di mesh dalla superficie dell'oggetto
  • Deviazione relativa delle superfici: Se selezionato, la deviazione lineare massima di un segmento di mesh sarà quella specificata da Deviazione di superficie moltiplicata per la lunghezza del segmento di mesh corrente (bordo)
  • Applica i colori delle facce alla mesh: Se selezionato, la mesh otterrà i colori della faccia dell'oggetto
  • Definisci i segmenti con i colori delle facce: Se selezionato, i segmenti di mesh vengono raggruppati in base al colore delle facce dell'oggetto. Questi gruppi verranno esportati per i formati di output mesh che supportano questa funzione (ad esempio il formato OBJ).

Mesher Mefisto

Mesh Mesher Mefisto.jpg

L'unica impostazione è:

  • Lunghezza massima dello spigolo: Se questo numero è più piccolo, la mesh diventa più fine. Il valore più piccolo è 0.

Mesher Netgen

Mesh Mesher Netgen.jpg

È possibile scegliere la Finezza di mesh tra:

  • Molto grossa
  • Grossa
  • Moderata
  • Fine
  • Molto fine
  • Definita dall'utente Definita dall'utente
Per quest'ultima opzione è possibile impostare i seguenti valori:
Dimensione mesh: Se questo parametro è più piccolo, la mesh diventa più fine. Un valore nell'intervallo 0,1-1.
Numero di elementi per lo spigolo: Se questo parametro è più grande, la mesh diventa più fine. Un valore compreso tra 0,2 e 10.
Numero di elementi per il raggio di curvatura: Se questo parametro è più grande, la mesh diventa più fine. Un valore compreso tra 0,2 e 10.

Per ogni Finezza si può anche scegliere:

  • Ottimizza la superficie: che esegue un'ottimizzazione della forma della superficie.
  • Elementi di secondo ordine: che genera elementi del secondo ordine.
  • Dominato da quadrangoli: con cui le maglie saranno disposte preferibilmente usando facce quadrilatere.

Script

Questo strumento può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

MeshPart.meshFromShape(Shape=Shape, MaxLength=520)

Esempio:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

Note

Arrow-left.svg Mesh ExportMesh.png Esporta mesh Pagina precedente:
Pagina successiva: Grafico della curvatura Mesh CurvaturePlot.png Arrow-right.svg